Package com.orchestranetworks.service

# Interface ProcedureResult

public interface ProcedureResult
Represents the result of a procedure execution.

See Also:
  - `UserServiceTransactionManager`
  - `UserServiceTransaction.execute()`
  - `ServiceContext.execute(Procedure)`
  - `ProgrammaticService.execute(Procedure)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConstraintViolationException`
  `getConstraintViolationException()`
  Returns the exception thrown if the procedure execution failed due to a constraint violation, `null` otherwise.
  `OperationException`
  `getException()`
  Returns the exception thrown if the procedure execution failed, `null` otherwise.
  `String`
  `getExceptionFullMessage(Locale aLocale)`
  Returns a full, localized user message with the exception thrown if procedure execution has failed, `null` otherwise.
  `Date`
  `getExecutionTimestamp()`
  Returns the timestamp of the procedure execution.
  `String`
  `getExecutionUUIDString()`
  Returns a universally unique identifier (UUID) of the procedure execution.
  `boolean`
  `hasFailed()`
  Returns `true` if the procedure execution has failed.

- ## Method Details

  - ### hasFailed

    boolean hasFailed()
    Returns `true` if the procedure execution has failed.

  - ### getException

    OperationException getException()
    Returns the exception thrown if the procedure execution failed, `null` otherwise.
    See Also:
      - `getConstraintViolationException()`

  - ### getConstraintViolationException

    ConstraintViolationException getConstraintViolationException()
    Returns the exception thrown if the procedure execution failed due to a constraint violation, `null` otherwise.
    Since:
      5.4.2
    See Also:
      - `ProcedureContext.setBlockingConstraintsDisabled(boolean)`

  - ### getExceptionFullMessage

    String getExceptionFullMessage(Locale aLocale)
    Returns a full, localized user message with the exception thrown if procedure execution has failed, `null` otherwise. Includes the possible causes.

  - ### getExecutionTimestamp

    Date getExecutionTimestamp()
    Returns the timestamp of the procedure execution.
    See Also:
      - `ProcedureContext.getExecutionTimestamp()`

  - ### getExecutionUUIDString

    String getExecutionUUIDString()
    Returns a universally unique identifier (UUID) of the procedure execution.
    See Also:
      - `ProcedureContext.getExecutionUUIDString()`